<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8">
    <title>Create task</title>
</head>
<body>
<h2>Task List</h2>
<form action="v1/api/tasks" method="post" th:object="$(create-task)">
    <label for="title">Title</label>
    <input type="text" id="title" name="title" th:field="*{title}">

    <label for="description">Description</label>
    <input type="text" id="description" name="description"
           th:field="*{description}">

    <label for="status">Status</label>
    <input type="text" id="status" name="status" th:field="*{status}">

    <label for="priority">Priority</label>
    <input type="text" id="priority" name="priority" th:field="*{priority}">

    <label for="reporterId">Reporter Id</label>
    <input type="text" id="reporterId" name="reporterId" th:field="*{reporterId}">

    <label for="assigneeId">Assignee Id</label>
    <input type="text" id="assigneeId" name="assigneeId" th:field="*{assigneeId}">

    <label for="boardId">Board Id</label>
    <input type="text" id="boardId" name="boardId" th:field="*{boardId}">

    <button type="submit">Save board</button>
</form>

</body>
</html>